Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc.collaboration.tasklist
Class TaskQueryOrder

    java.lang.Object
      com.plumtree.remote.prc.collaboration.query.QueryOrder
          com.plumtree.remote.prc.collaboration.tasklist.TaskQueryOrder

public class TaskQueryOrder
extends QueryOrder

Represents a pair that consists of a `TaskAttribute` and a boolean indicating whether to order ascending. This class is used in `IFilter`.

Constructor Summary
`TaskQueryOrder(TaskAttribute attribute, boolean ascending)` Constructor for `TaskQueryOrder`.

Method Summary
`TaskAttribute` | `getAttribute()` Returns the query orderBy attribute.
`boolean` | `isAscending()` Returns a boolean indicating whether or not the field is ascending.
`void` | `setAscending(boolean isAscending)` Sets the order for this field (ascending or descending).
`void` | `setAttribute(TaskAttribute attribute)` Sets the query orderBy attribute.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskQueryOrder

    public TaskQueryOrder(TaskAttribute attribute,
                          boolean ascending)

  Constructor for `TaskQueryOrder`.

Parameters:
  `attribute` - the query orderBy field
  `ascending` - boolean indicating whether the order is ascending

Method Detail

### setAttribute

    public void setAttribute(TaskAttribute attribute)

  Sets the query orderBy attribute.

### getAttribute

    public TaskAttribute getAttribute()

  Returns the query orderBy attribute.

  Returns:
    the query orderBy attribute

### setAscending

    public void setAscending(boolean isAscending)

  Sets the order for this field (ascending or descending).

  Overrides:
    `setAscending` in class `QueryOrder`

### isAscending

    public boolean isAscending()

  Returns a boolean indicating whether or not the field is ascending.

  Overrides:
    `isAscending` in class `QueryOrder`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.